import project_slide, os
import sys

from anuga.shallow_water.data_manager import sww2dem
from os import sep

# first run
#time_dir = '20061207_035946' #bulli
#time_dir = '20061212_012802' #shovel
#time_dir = '20061212_064757' #yacaaba
# second run
#time_dir = '20070119_055707' # yacaaba
#time_dir = '20070121_213838' # shovel
#time_dir = '20070119_055809' # bulli
#time_dir = '20070213_035538'	#bulli
#time_dir = '20070213_035629'	#shovel
#time_dir = '20070213_035728'	#yacaaba

#rerun as data didn't fit properly
#time_dir = '20070219_060722' #bulli
#time_dir = '20070219_060808' #shovel
#time_dir = '20070219_060854' #yacaaba

#corrected yacaaba and birubi
#time_dir = '20070323_012157' # yacaaba_c1 - potential
#time_dir = '20070323_012425' # yacaaba_c2 - historical
#time_dir = '20070322_032705' # birubi_c1 - historical
#time_dir = '20070322_032618' # birubi_c2 - potential
#time_dir = '20070322_060006' # bulli_c2 - potential
#time_dir = '20070322_060132' # shovel_c2 - potential

# new region
#time_dir = '20070322_033350' # birubi
#time_dir = '20070323_012310' # yacaaba
#time_dir = '20070322_033716' # shovel
#time_dir = '20070322_033608' # bulli

# rerun
#time_dir = '20070331_080432' # birubi - historical
#time_dir = '20070331_070841' # yacaaba - c1
#time_dir = '20070331_080603' # birubi - c2
time_dir = '20070401_030248' # yacaaba - historical
#time_dir = '20070331_080235' # bulli - c2
#time_dir = '20070331_080213' # shovel - c2

directory = project_slide.outputdir
name = directory + time_dir + sep + project_slide.basename

is_parallel = False
if is_parallel == True: nodes = 4
print 'output dir:', directory + time_dir

which_var = 2
if which_var == 0:  # Stage
    outname = name + '_stage'
    quantityname = 'stage'

if which_var == 1:  # Absolute Momentum
    outname = name + '_momentum_i1'
    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  

if which_var == 2:  # Depth
    outname = name + '_depth'
    quantityname = 'stage-elevation'  

if which_var == 3:  # Speed
    outname = name + '_speed_i0'
    #quantityname = '((xmomentum/(stage-elevation))**2 + (ymomentum/(stage-elevation))**2)**0.5'  #Speed
    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed

if which_var == 4:  # Elevation
    outname = name + '_elevation'
    quantityname = 'elevation'  #Elevation

if is_parallel == True:
    for i in range(0,nodes):
        namei = name + '_P%d_%d' %(i,nodes)
        outnamei = outname + '_P%d_%d' %(i,nodes)
        print 'start sww2dem for sww file %d' %(i)
        sww2dem(namei, basename_out = outnamei,
                    quantity = quantityname,
                    timestep = 1,
                    cellsize = 100,      
                    #easting_min = project.e_min_area,
                    #easting_max = project.e_max_area,
                    #northing_min = project.n_min_area,
                    #northing_max = project.n_max_area,        
                    reduction = max, 
                    verbose = True,
                    format = 'asc')
else:
    print 'start sww2dem'
    sww2dem(name, basename_out = outname,
                quantity = quantityname,
                cellsize = 25,      
##                easting_min = project_slide.eastingmin1,
##                easting_max = project_slide.eastingmax1,
##                northing_min = project_slide.northingmin1,
##                northing_max = project_slide.northingmax1,
                easting_min = project_slide.eastingmin2,
                easting_max = project_slide.eastingmax2,
                northing_min = project_slide.northingmin2,
                northing_max = project_slide.northingmax2, 
                reduction = max, 
                verbose = True,
                format = 'asc')
